<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.live.mapper.LiveDataAdMapper">

    <insert id="replaceBatch">
        replace into ctop_live_data_ad(
        id,
        account_id,
        live_id,
        kuaishou_name,
        live_start_time,
        live_end_time,
        live_duration,
        anchor_id,
        charge,
        bclick,
        live_watch_average_time,
        live_comments,
        live_shares,
        live_gifts,
        live_fans,
        live_fans_cost,
        live_watch_count,
        live_order_count,
        live_gmv,
        live_roi
        )
        values
        <foreach collection="list" item="ad" separator=",">
            (
            #{ad.id},
            #{ad.accountId},
            #{ad.liveId},
            #{ad.kuaishouName},
            #{ad.liveStartTime},
            #{ad.liveEndTime},
            #{ad.liveDuration},
            #{ad.anchorId},
            #{ad.charge},
            #{ad.bclick},
            #{ad.liveWatchAverageTime},
            #{ad.liveComments},
            #{ad.liveShares},
            #{ad.liveGifts},
            #{ad.liveFans},
            #{ad.liveFansCost},
            #{ad.liveWatchCount},
            #{ad.liveOrderCount},
            #{ad.liveGmv},
            #{ad.liveRoi}
            )
        </foreach>
    </insert>

</mapper>